package com.fs.qw.mapper;

import com.fs.qw.domain.QwAutoTagsRules;

import java.util.List;

/**
 * 自动打标签的规则(主要是 群)Mapper接口
 * 
 * @author fs
 * @date 2024-07-20
 */
public interface QwAutoTagsRulesMapper 
{
    /**
     * 查询自动打标签的规则(主要是 群)
     * 
     * @param id 自动打标签的规则(主要是 群)主键
     * @return 自动打标签的规则(主要是 群)
     */
    public QwAutoTagsRules selectQwAutoTagsRulesById(Long id);

    /**
     * 查询自动打标签的规则(主要是 群)列表
     * 
     * @param qwAutoTagsRules 自动打标签的规则(主要是 群)
     * @return 自动打标签的规则(主要是 群)集合
     */
    public List<QwAutoTagsRules> selectQwAutoTagsRulesList(QwAutoTagsRules qwAutoTagsRules);

    /**
     * 新增自动打标签的规则(主要是 群)
     * 
     * @param qwAutoTagsRules 自动打标签的规则(主要是 群)
     * @return 结果
     */
    public int insertQwAutoTagsRules(QwAutoTagsRules qwAutoTagsRules);

    /**
     * 修改自动打标签的规则(主要是 群)
     * 
     * @param qwAutoTagsRules 自动打标签的规则(主要是 群)
     * @return 结果
     */
    public int updateQwAutoTagsRules(QwAutoTagsRules qwAutoTagsRules);

    /**
     * 删除自动打标签的规则(主要是 群)
     * 
     * @param id 自动打标签的规则(主要是 群)主键
     * @return 结果
     */
    public int deleteQwAutoTagsRulesById(Long id);

    /**
     * 批量删除自动打标签的规则(主要是 群)
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwAutoTagsRulesByIds(Long[] ids);

    public int deleteQwAutoTagsRulesByAutoTagsId(Long[] ids);
}
